import request from '@/utils/request'

// 查询评级机构评级信息列表
export function listInfo(query) {
    return request({
        url: '/crmRatingAgencyInfo/findByPage',
        method: 'get',
        params: query
    })
}

// 查询评级机构评级信息详细
export function getInfo(id) {
    return request({
        url: '/crmRatingAgencyInfo/' + id,
        method: 'get'
    })
}

// 新增评级机构评级信息
export function addInfo(data) {
    return request({
        url: '/crmRatingAgencyInfo',
        method: 'post',
        data: data
    })
}

// 修改评级机构评级信息
export function updateInfo(data) {
    return request({
        url: '/crmRatingAgencyInfo',
        method: 'put',
        data: data
    })
}

// 删除评级机构评级信息
export function delInfo(id) {
    return request({
        url: '/crmRatingAgencyInfo/deleteAll',
        method: 'delete'
    })
}
// 批量删除行政许可
export function delInfoBatch(ids) {
    console.log(ids);
    return request.post('/crmRatingAgencyInfo/delete',ids)
}